# For macro compatibility
%{!?_pkgdocdir:%global _pkgdocdir %{_docdir}/%{name}}

Name:    xdg-desktop-portal
Version: 0.6
Release: %mkrel 1
Summary: Portal frontend service to flatpak
Group:   System/Servers
License: LGPLv2+
URL:     https://github.com/flatpak/xdg-desktop-portal/
Source0: https://github.com/flatpak/xdg-desktop-portal/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(flatpak)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: xmlto
BuildRequires: systemd
Requires(post): systemd
Requires(preun): systemd
Requires:      dbus

%description
xdg-desktop-portal works by exposing a series of D-Bus interfaces known as
portals under a well-known name (org.freedesktop.portal.Desktop) and object
path (/org/freedesktop/portal/desktop). The portal interfaces include APIs for
file access, opening URIs, printing and others.

%package  devel
Summary:  Development files for %{name}
Group:    Development/Other
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The pkg-config file for %{name}.


%prep
%setup -q


%build
%configure2_5x --enable-docbook-docs
%make_build


%install
%make_install
install -dm 755 %{buildroot}/%{_pkgdocdir}
install -pm 644 README.md %{buildroot}/%{_pkgdocdir}
# This directory is used by implementations such as xdg-desktop-portal-gtk.
install -dm 755 %{buildroot}/%{_datadir}/%{name}/portals

%find_lang %{name}


%post
%systemd_user_post %{name}.service


%preun
%systemd_user_preun %{name}.service


%files -f %{name}.lang
%doc %{_pkgdocdir}
%license COPYING
%{_libexecdir}/xdg-desktop-portal
%{_datadir}/dbus-1/interfaces/org.freedesktop.portal.*.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.impl.portal.*.xml
%{_datadir}/dbus-1/services/org.freedesktop.portal.Desktop.service
%{_datadir}/%{name}
%{_userunitdir}/%{name}.service

%files devel
%{_libdir}/pkgconfig/xdg-desktop-portal.pc




%changelog
* Sun Apr 02 2017 ngompa <ngompa> 0.6-1.mga6
+ Revision: 1095713
- Update to 0.6

* Wed Dec 14 2016 ngompa <ngompa> 0.4-2.mga6
+ Revision: 1074879
- imported package xdg-desktop-portal

